Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.gui
Enum GUIConstants.Msg

    java.lang.Object
      java.lang.Enum<GUIConstants.Msg>
          org.basex.gui.GUIConstants.Msg

All Implemented Interfaces:
  Serializable, Comparable<GUIConstants.Msg>

Enclosing class:
  GUIConstants

    public static enum GUIConstants.Msg

extends Enum<GUIConstants.Msg>

Icon type.

Enum Constant Summary
`ERR` Error icon.
`OK` Success icon.
`WARN` Warning icon.

Field Summary
`Icon` | `large` Large icon.
`Icon` | `small` Small icon.

Method Summary
`static GUIConstants.Msg` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GUIConstants.Msg[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WARN

    public static final GUIConstants.Msg WARN

  Warning icon.

### ERR

    public static final GUIConstants.Msg ERR

  Error icon.

### OK

    public static final GUIConstants.Msg OK

  Success icon.

Field Detail

### small

    public final Icon small

  Small icon.

### large

    public final Icon large

  Large icon.

Method Detail

### values

    public static GUIConstants.Msg[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GUIConstants.Msg c : GUIConstants.Msg.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GUIConstants.Msg valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD